<?php

/**
 * Represents a Fusion server resource.
 */
class SearchApiFusionConnection extends SearchApiSolrConnection {
  
  /**
   * Route search requests to the Query API (api/apps/<app>/query/<query-profile>).
   * Route other requests to the Solr API (api/<app>/<handler>).
   *
   * @see https://doc.lucidworks.com/fusion-server/4.1/reference-guides/api/apps-api.html
   * @see https://doc.lucidworks.com/fusion-server/4.1/reference-guides/api/query-api.html
   * @see https://doc.lucidworks.com/fusion-server/4.1/reference-guides/api/solr-api.html
   */
  protected function constructUrl($servlet, array $params = array(), $added_query_string = NULL) {
    switch($servlet) {
      case self::SEARCH_SERVLET:
        $servlet = 'apps/' . $this->options['fusion_app'] . '/query/' . $this->options['fusion_qprofile'];
        break;
      default:
        $servlet = 'solr/' . $this->options['fusion_app'] . '/' . $servlet;
        
    }
    return parent::constructUrl($servlet, $params, $added_query_string);
  }

}
